/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var is_singleSelect = $.getUrlParam('singleSelect');
if(is_singleSelect == null || is_singleSelect=="" || is_singleSelect==undefined){
	is_singleSelect = false;
}else if(is_singleSelect == "true"){
	is_singleSelect = true;;
}else if(is_singleSelect == "false"){
	is_singleSelect = false;;
}
var is_ope = $.getUrlParam('ope');
if(is_ope == null || is_ope=="" || is_ope==undefined){
	is_ope = "1";
}

if(is_ope == "2"){
	$("#ORDERDIV").show();
}else{
	$("#ORDERDIV").hide();
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//加载是否实体下拉框

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
	title:"人员信息",
    iconCls:$.getJwWindowPic(),
    url:'jwAppsUserData_listMy',
    queryParams : queryData,//查询参数
	rownumbers : true,//显示索引号
	singleSelect : is_singleSelect,//是否多选
	fitColumns : false,//是否撑满
	autoRowHeight : 30,//设定高度
	pagination : true,//分页显示
	pageSize : rows,//显示行数
	pageList : listPageSize,//条数选择
	striped : true, //是否隔行显示
	remoteSort : false,//是否从服务器排序
	frozenColumns : [[
			{
				field : 'ck',
				checkbox : true
			}
			       ]],
	columns : [ [
		    {
				field : 'ID_NUMBER',
				title : '人员帐号',
				width : 100,
				align : 'left'
			}, {
				field : 'USER_NAME',
				title : '姓名',
				width : 100,
				align : 'left'
			}, {
				field : 'UNIT_NAME',
				title : '单位',
				width : 200,
				align : 'left'
			},{
				field : 'ORDER_ID',
				title : '排序',
				width : 80,
				align : 'center'
			},{
				field : 'SEX_NAME',
				title : '性别',
				width : 80,
				align : 'center'
			}, {
				field : 'YESNO_NAME',
				title : '是否激活',
				align : 'center',
				width : 80
			}, {
				field : 'BEGIN_TIME',
				title : '注册日期',
				align : 'center',
				width : 120
			}, {
				field : 'MOBILE',
				title : '手机号',
				align : 'center',
				width : 120
			}, {
				field : 'EMAIL',
				title : '邮箱',
				align : 'center',
				width : 150
			}
			] ],
	toolbar : '#tb',
	onLoadSuccess : function(data) {
	}
});

/****/

/**
 * 序号：4
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	reloadTree();
	$("#usertab_searchForm")[0].reset();
}
/****/

/**
 * 序号：5
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#usertab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/


/**
 * 序号：6
 * 功能：加载单位树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","UUID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
	  ls_node = treeNode;
	  zTree.selectNode(ls_node);
	}else{
		zTree.selectNode(ls_node);
		modifyNode(ls_node);
	}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	queryData.FIELD_UNIT_ID_IS_PARENT =treeNode.UUID;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid('reload',queryData);
}
//loadTree(后台数据路径,显示的层ID)
loadTree("jwAppsUnitData_listMyAll","usertab_user_tree","UUID","A");

function reloadTree(){
	loadTree("jwAppsUnitData_listMyAll","usertab_user_tree","UUID","A");
	
}
/****/

/**
 * 序号：7
 * 功能：提交返回
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function tj(){
	var uuids = "";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		uuids = uuids + rows[i].USER_ID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择一行!");
		return;
	}
	if(uuids.length>0){
		uuids = uuids.substring(0, uuids.length - 1);
	}
	if(is_ope=="2"){
		var is_order = $("#ORDER").combobox('getValue');
		var order_id = rows[0].ORDER_ID;
		var is_orderid = $.getUrlParam('order_id');
		uuids = uuids+"||"+is_orderid+"_"+is_order+"_"+order_id;
	}
	parent.$('#return_text').text(uuids);
	parent.$('#userTabChoice').window('close');
}
/****/